#!/bin/sh
echo 'name: webkit
version: 0.12.4
id: webkit-0.12.4-5287fc956a2bc86ca44a59d378bd84c3

license: LGPL-2.1
copyright: (c) 2001-2010 The Gtk2Hs Team
maintainer: gtk2hs-users@lists.sourceforge.net
stability: provisional
homepage: http://projects.haskell.org/gtk2hs/
package-url:
synopsis: Binding to the Webkit library.
description: WebKit is a web content engine, derived from KHTML and KJS from KDE, and
             used primarily in Apple'\''s Safari browser.  It is made to be embedded in
             other applications, such as mail readers, or web browsers.
             It is able to display content such as HTML, SVG, XML, and others. It also
             supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
category: Graphics
author: Cjacker Huang, Andy Stewart, Axel Simon
pkgpath: www/hs-webkit
exposed: True
exposed-modules: Graphics.UI.Gtk.WebKit.CacheModel
                 Graphics.UI.Gtk.WebKit.Download
                 Graphics.UI.Gtk.WebKit.GeolocationPolicyDecision
                 Graphics.UI.Gtk.WebKit.HitTestResult
                 Graphics.UI.Gtk.WebKit.NetworkRequest
                 Graphics.UI.Gtk.WebKit.NetworkResponse
                 Graphics.UI.Gtk.WebKit.SecurityOrigin
                 Graphics.UI.Gtk.WebKit.SoupAuthDialog
                 Graphics.UI.Gtk.WebKit.WebBackForwardList
                 Graphics.UI.Gtk.WebKit.WebDatabase
                 Graphics.UI.Gtk.WebKit.WebDataSource
                 Graphics.UI.Gtk.WebKit.WebFrame
                 Graphics.UI.Gtk.WebKit.WebHistoryItem
                 Graphics.UI.Gtk.WebKit.WebInspector
                 Graphics.UI.Gtk.WebKit.WebNavigationAction
                 Graphics.UI.Gtk.WebKit.WebPolicyDecision
                 Graphics.UI.Gtk.WebKit.WebResource
                 Graphics.UI.Gtk.WebKit.WebSettings Graphics.UI.Gtk.WebKit.WebView
                 Graphics.UI.Gtk.WebKit.WebWindowFeatures
hidden-modules: Graphics.UI.Gtk.WebKit.Internal
                Graphics.UI.Gtk.WebKit.Types Graphics.UI.Gtk.WebKit.Signals
trusted: False
import-dirs: /usr/local/lib/ghc/webkit-0.12.4
library-dirs: /usr/local/lib/ghc/webkit-0.12.4 /usr/local/lib
              /usr/X11R6/lib
hs-libraries: HSwebkit-0.12.4
extra-libraries: webkitgtk-1.0 gtk-x11-2.0 gdk-x11-2.0
                 pangocairo-1.0 Xrender Xinerama Xi Xrandr Xcursor Xcomposite
                 Xdamage Xfixes X11 Xext atk-1.0 cairo gdk_pixbuf-2.0 pangoft2-1.0
                 pango-1.0 m fontconfig freetype z soup-2.4 gio-2.0 gobject-2.0
                 javascriptcoregtk-1.0 glib-2.0 intl
extra-ghci-libraries:
include-dirs: /usr/local/include/webkitgtk-1.0
              /usr/local/include/gtk-2.0 /usr/local/lib/gtk-2.0/include
              /usr/local/include/pango-1.0 /usr/local/include/gio-unix-2.0/
              /usr/X11R6/include /usr/local/include/cairo
              /usr/local/include/atk-1.0 /usr/X11R6/include/pixman-1
              /usr/local/include/libpng16 /usr/local/include/gdk-pixbuf-2.0
              /usr/local/include/harfbuzz /usr/X11R6/include/freetype2
              /usr/include /usr/local/include/libsoup-2.4
              /usr/local/include/libxml2 /usr/local/include
              /usr/local/include/glib-2.0 /usr/local/lib/glib-2.0/include
includes:
depends: base-4.6.0.1-d435272bc8de1d17f3a0aacfbd562dbe
         cairo-0.12.3.1-6f21c8a5ac9f94b82a99988c05148ef2
         glib-0.12.4-d1f299818663664519b8d947e0784cb7
         gtk-0.12.4-39767698bb2ca6bbaf544e6f91d93b00
         pango-0.12.3-d22a2dc14dcdcacdc3ecf58e6e2e5242
hugs-options:
cc-options:
ld-options: "-Wl,-rpath-link,/usr/X11R6/lib"
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hs-webkit-0.12.4/html/webkit.haddock
haddock-html: /usr/local/share/doc/hs-webkit-0.12.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
